#
# spec file for package ghc-intern
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name intern
Name:           ghc-%{pkg_name}
Version:        0.9.4
Release:        bp156.4.3
Summary:        Efficient hash-consing for arbitrary data types
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
ExcludeArch:    %{ix86}

%description
Efficient hash-consing for arbitrary data types.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown examples

%changelog
* Sun Dec 26 2021 Peter Simons <psimons@suse.com>
- Update intern to version 0.9.4 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Nov 10 2021 psimons@suse.com
- Update intern to version 0.9.4 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Sat Feb 20 2021 psimons@suse.com
- Update intern to version 0.9.4.
  0.9.4 [2021.02.17]
  - -----------------
  * Export `identity` from `Data.Interned.IntSet`.
* Mon Jan 11 2021 psimons@suse.com
- Update intern to version 0.9.3 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Oct  6 2020 psimons@suse.com
- Update intern to version 0.9.3.
  0.9.3 [2020.09.30]
  - -----------------
  * Add `Hashable` instances for `InternedString`, `InternedByteString`,
    `InternedText`, and `IntSet`.
* Tue Sep  1 2020 psimons@suse.com
- Add intern at version 0.9.2 revision 1.
